Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkScalarTree Class Reference

`#include <vtkScalarTree.h>`

Inheritance diagram for vtkScalarTree:

[legend]
Collaboration diagram for vtkScalarTree:

[legend]
List of all members.

## Detailed Description

organize data according to scalar values (used to accelerate contouring operations)

Date:
  2002/09/03 20:33:49

Revision:
  1.32

vtkScalarTree is an abstract class that defines the API to concrete scalar tree subclasses. A scalar tree is a data structure that organizes data according to its scalar value. This allows rapid access to data for those algorithms that access the data based on scalar value. For example, isocontouring operates on cells based on the scalar (isocontour) value.

To use subclasses of this class, you must specify a dataset to operate on, and then specify a scalar value in the InitTraversal() method. Then calls to GetNextCell() return cells whose scalar data contains the scalar value specified.

See also:
  vtkSimpleScalarTree vtkBONOScalarTree

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Geveci, Berk (6%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkScalarTree.h)`
  - .`cxx` (`/Filtering/vtkScalarTree.cxx)`

Definition at line 61 of file vtkScalarTree.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | BuildTree ()=0
virtual void | Initialize ()=0
virtual void | InitTraversal (float scalarValue)=0
virtual void | SetDataSet (vtkDataSet *)
virtual vtkDataSet * | GetDataSet ()
virtual vtkCell * | GetNextCell (vtkIdType &cellId, vtkIdList *&ptIds, vtkDataArray *cellScalars)=0
## Static Public Methods
int | IsTypeOf (const char *type)
vtkScalarTree * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkScalarTree ()
| ~vtkScalarTree ()
## Protected Attributes
vtkDataSet * | DataSet
vtkDataArray * | Scalars
vtkTimeStamp | BuildTime
float | ScalarValue

## Member Typedef Documentation

typedef vtkObject vtkScalarTree::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkSimpleScalarTree. Definition at line 64 of file vtkScalarTree.h.

## Constructor & Destructor Documentation

vtkScalarTree::vtkScalarTree | ( |  | ) | `[protected]`

vtkScalarTree::~vtkScalarTree | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkScalarTree::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkSimpleScalarTree.

int vtkScalarTree::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkSimpleScalarTree.

virtual int vtkScalarTree::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkSimpleScalarTree.

vtkScalarTree* vtkScalarTree::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkSimpleScalarTree.

void vtkScalarTree::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkSimpleScalarTree.

virtual void vtkScalarTree::SetDataSet | ( | vtkDataSet * |  | ) | `[virtual]`

| Build the tree from the points/cells defining this dataset.

virtual vtkDataSet* vtkScalarTree::GetDataSet | ( |  | ) | `[virtual]`

| Build the tree from the points/cells defining this dataset.

virtual void vtkScalarTree::BuildTree | ( |  | ) | `[pure virtual]`

| Construct the scalar tree from the dataset provided. Checks build times and modified time from input and reconstructs the tree if necessary. Implemented in vtkSimpleScalarTree.

virtual void vtkScalarTree::Initialize | ( |  | ) | `[pure virtual]`

| Initialize locator. Frees memory and resets object as appropriate. Implemented in vtkSimpleScalarTree.

virtual void vtkScalarTree::InitTraversal | ( | float | scalarValue | ) | `[pure virtual]`

| Begin to traverse the cells based on a scalar value. Returned cells will have scalar values that span the scalar value specified. Implemented in vtkSimpleScalarTree.

virtual vtkCell* vtkScalarTree::GetNextCell | ( | vtkIdType & | cellId,
|  | vtkIdList *& | ptIds,
|  | vtkDataArray * | cellScalars
| ) | `[pure virtual]`

| Return the next cell that may contain scalar value specified to initialize traversal. The value NULL is returned if the list is exhausted. Make sure that InitTraversal() has been invoked first or you'll get erratic behavior. Implemented in vtkSimpleScalarTree.

## Member Data Documentation

vtkDataSet* vtkScalarTree::DataSet`[protected]`

| Definition at line 98 of file vtkScalarTree.h.

vtkDataArray* vtkScalarTree::Scalars`[protected]`

| Reimplemented in vtkSimpleScalarTree. Definition at line 99 of file vtkScalarTree.h.

vtkTimeStamp vtkScalarTree::BuildTime`[protected]`

| Definition at line 101 of file vtkScalarTree.h.

float vtkScalarTree::ScalarValue`[protected]`

| Definition at line 102 of file vtkScalarTree.h.

The documentation for this class was generated from the following file:

- Filtering/vtkScalarTree.h